
From: Alasdair G Kergon <agk@redhat.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/dm-table.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/md/dm-table.c~device-mapper-fix-deadlocks-in-core-prep-fix drivers/md/dm-table.c
--- devel/drivers/md/dm-table.c~device-mapper-fix-deadlocks-in-core-prep-fix	2005-07-12 14:37:00.000000000 -0700
+++ devel-akpm/drivers/md/dm-table.c	2005-07-12 14:37:00.000000000 -0700
@@ -869,11 +869,17 @@ static void suspend_targets(struct dm_ta
 
 void dm_table_presuspend_targets(struct dm_table *t)
 {
+	if (!t)
+		return;
+
 	return suspend_targets(t, 0);
 }
 
 void dm_table_postsuspend_targets(struct dm_table *t)
 {
+	if (!t)
+		return;
+
 	return suspend_targets(t, 1);
 }
 
_
